﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ImportGroup Label="PropertySheets">
    <Import Project="libzstd.props" />
  </ImportGroup>
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{8BFD8150-94D5-4BF9-8A50-7BD9929A0850}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <Platform>x64</Platform>
    <ProjectName>libzstd</ProjectName>
    <VCProjectUpgraderObjectName>NoUpgrade</VCProjectUpgraderObjectName>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.20506.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(BimBuildDir)\$(Platform)_$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(BimBuildDir)\obj_$(Platform)_$(Configuration)\$(ProjectName)\</IntDir>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">libzstd</TargetName>
    <TargetExt Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">.lib</TargetExt>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(BimBuildDir)\$(Platform)_$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(BimBuildDir)\obj_$(Platform)_$(Configuration)\$(ProjectName)\</IntDir>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|x64'">libzstd</TargetName>
    <TargetExt Condition="'$(Configuration)|$(Platform)'=='Release|x64'">.lib</TargetExt>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <ExceptionHandling>
      </ExceptionHandling>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <Optimization>Disabled</Optimization>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_UNICODE;UNICODE;%(PreprocessorDefinitions);</PreprocessorDefinitions>
      <ObjectFileName>$(IntDir)</ObjectFileName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);WIN32;_DEBUG;_WINDOWS;_UNICODE;UNICODE;</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <Lib>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ExceptionHandling>
      </ExceptionHandling>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <Optimization>MaxSpeed</Optimization>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);WIN32;_WINDOWS;_UNICODE;UNICODE;NDEBUG;</PreprocessorDefinitions>
      <ObjectFileName>$(IntDir)</ObjectFileName>
      <DebugInformationFormat>
      </DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);WIN32;_WINDOWS;_UNICODE;UNICODE;NDEBUG;</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <Lib>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="$(BimZSTDDir)\common\debug.c" />
    <ClCompile Include="$(BimZSTDDir)\common\entropy_common.c" />
    <ClCompile Include="$(BimZSTDDir)\common\error_private.c" />
    <ClCompile Include="$(BimZSTDDir)\common\fse_decompress.c" />
    <ClCompile Include="$(BimZSTDDir)\common\pool.c" />
    <ClCompile Include="$(BimZSTDDir)\common\threading.c" />
    <ClCompile Include="$(BimZSTDDir)\common\xxhash.c" />
    <ClCompile Include="$(BimZSTDDir)\common\zstd_common.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\fse_compress.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\hist.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\huf_compress.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_compress.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_compress_literals.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_compress_sequences.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_compress_superblock.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_double_fast.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_fast.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_lazy.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_ldm.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstd_opt.c" />
    <ClCompile Include="$(BimZSTDDir)\compress\zstdmt_compress.c" />
    <ClCompile Include="$(BimZSTDDir)\decompress\huf_decompress.c" />
    <ClCompile Include="$(BimZSTDDir)\decompress\zstd_ddict.c" />
    <ClCompile Include="$(BimZSTDDir)\decompress\zstd_decompress.c" />
    <ClCompile Include="$(BimZSTDDir)\decompress\zstd_decompress_block.c" />
    <ClCompile Include="$(BimZSTDDir)\dictBuilder\cover.c" />
    <ClCompile Include="$(BimZSTDDir)\dictBuilder\divsufsort.c" />
    <ClCompile Include="$(BimZSTDDir)\dictBuilder\fastcover.c" />
    <ClCompile Include="$(BimZSTDDir)\dictBuilder\zdict.c" />
    <ClCompile Include="$(BimZSTDDir)\deprecated\zbuff_common.c" />
    <ClCompile Include="$(BimZSTDDir)\deprecated\zbuff_compress.c" />
    <ClCompile Include="$(BimZSTDDir)\deprecated\zbuff_decompress.c" />
    <ClInclude Include="$(BimZSTDDir)\zstd.h" />
    <ClInclude Include="$(BimZSTDDir)\common\bitstream.h" />
    <ClInclude Include="$(BimZSTDDir)\common\compiler.h" />
    <ClInclude Include="$(BimZSTDDir)\common\cpu.h" />
    <ClInclude Include="$(BimZSTDDir)\common\debug.h" />
    <ClInclude Include="$(BimZSTDDir)\common\error_private.h" />
    <ClInclude Include="$(BimZSTDDir)\common\fse.h" />
    <ClInclude Include="$(BimZSTDDir)\common\huf.h" />
    <ClInclude Include="$(BimZSTDDir)\common\mem.h" />
    <ClInclude Include="$(BimZSTDDir)\common\pool.h" />
    <ClInclude Include="$(BimZSTDDir)\common\threading.h" />
    <ClInclude Include="$(BimZSTDDir)\common\xxhash.h" />
    <ClInclude Include="$(BimZSTDDir)\common\zstd_deps.h" />
    <ClInclude Include="$(BimZSTDDir)\common\zstd_errors.h" />
    <ClInclude Include="$(BimZSTDDir)\common\zstd_internal.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\hist.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_compress_internal.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_compress_literals.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_compress_sequences.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_compress_superblock.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_cwksp.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_double_fast.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_fast.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_lazy.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_ldm.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstd_opt.h" />
    <ClInclude Include="$(BimZSTDDir)\compress\zstdmt_compress.h" />
    <ClInclude Include="$(BimZSTDDir)\decompress\zstd_ddict.h" />
    <ClInclude Include="$(BimZSTDDir)\decompress\zstd_decompress_block.h" />
    <ClInclude Include="$(BimZSTDDir)\decompress\zstd_decompress_internal.h" />
    <ClInclude Include="$(BimZSTDDir)\dictBuilder\cover.h" />
    <ClInclude Include="$(BimZSTDDir)\dictBuilder\divsufsort.h" />
    <ClInclude Include="$(BimZSTDDir)\dictBuilder\zdict.h" />
    <ClInclude Include="$(BimZSTDDir)\deprecated\zbuff.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>